## vlc 2.2.2

=== debian/changelog ===
vlc (2.2.2-5ubuntu0.16.04.4) xenial-security; urgency=medium

  * SECURITY UPDATE: flac: Fix heap write overflow on frame format change
    (LP: #1709420)
    - fix-CVE-2017-9300.patch
    - CVE-2017-9300

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 08 Aug 2017 13:59:52 -0500

vlc (2.2.2-5ubuntu0.16.04.3) xenial-security; urgency=high

  * SECURITY UPDATE: reject invalid QuickTime IMA files (LP: #1693893)
    - fix-CVE-2016-5108.patch
    - CVE-2016-5108
  * SECURITY UPDATE: Crash due to Out-of-Bound Heap Memory Write
    - fix-CVE-2017-10699.patch
    - CVE-2017-10699
  * SECURITY UPDATE: Fix potential out of bound reads
    - fix-CVE-2017-8310.patch
    - CVE-2017-8310
  * SECURITY UPDATE: Fix invalid double increment
    - fix-CVE-2017-8311.patch
    - CVE-2017-8311
  * SECURITY UPDATE: Fix potential heap buffer overflow
    - fix-CVE-2017-8312.patch
    - CVE-2017-8312
  * SECURITY UPDATE: ParseJSS: fix out-of-bounds read
    - fix-CVE-2017-8313.patch
    - CVE-2017-8313

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 07 Jul 2017 06:54:34 -0500

vlc (2.2.2-5ubuntu0.16.04.2) xenial; urgency=medium

  * Don't enable GLESv1 support. (LP: #1676845)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Mar 2017 14:23:57 +0300

vlc (2.2.2-5ubuntu0.16.04.1) xenial; urgency=medium

  [ Sebastian Ramacher ]
  * debian/patches: Apply upstream to fix VLSub incorrectly announcing HTTP
    1.1 support. (LP: #1639750)

 -- Brian Murray <brian@ubuntu.com>  Tue, 21 Feb 2017 15:23:51 -0800

vlc (2.2.2-5) unstable; urgency=medium

  * debian/patches:
    - qt4-Fix-resume-where-you-left-off.patch,
      qt4-input_manager-Always-reset-lastURI-when-stopping.patch: Apply
      upstream patches to fix issues with "resume playback" feature.
    - avcodec-pass-consistent-dimensions-to-hardware-decod.patch: Apply
      upstream patch to fix hardware decoding with libvdpau-va-gl.
      (Closes: #813370)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Mar 2016 21:43:11 +0100

vlc (2.2.2-4) unstable; urgency=medium

  * debian/patches/fix-translation.patch: Fix translation of Shortcuts.
    (Closes: #814258)
  * debian/*.maintscript: Switch from absolute to relative paths to better
    handle symlink chains. (Closes: #814646)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Feb 2016 20:21:32 +0100

vlc (2.2.2-3) unstable; urgency=medium

  * debian/*.maintscript: Handle all cases.
  * debian/patches/zsh-completion.patch: Upstream patch to fix zsh completion
    generation.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Feb 2016 20:53:28 +0100

vlc (2.2.2-2) unstable; urgency=medium

  * debian/*.maintscript: Handle more symlink to directory conversions.
  * debian/rules: Do not fail to build if zsh completion fails to generate.
    This is a temporary workaround for a FTBFS on praetorius.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Feb 2016 18:37:02 +0100

vlc (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    - pulse: compute latency correctly if negative. (Closes: #784640)
    - Fix build failure with newer libdvdread-dev. (Closes: #797207)
  * Migrate to automatic debug packages.
  * Tell reportbug to report bugs against src:vlc and install reportbug
    control files in every package.
  * Remove some of the /usr/share/doc/<pkg> symlinks to clean up dependencies.
  * debian/vlc.menu: Removed since vlc contains a desktop file.
  * debian/rules:
    - Remove some parts that are handled by dpkg-dev and debhelper.
    - Install NEWS as upstream changelog.
    - Remove options passed twice to configure.
  * debian/README.{Debian,source}: Removed, outdated.
  * debian/libvlc-dev.examples: Install programming examples.
  * debian/{vlc.,source/}lintian-overrides: Override false positives.
  * debian/NEWS: Fix spelling error.
  * debian/control: Update Vcs-Git.
  * debian/patches:
    - Removed all patches applied upstream.
    - freenchtv-links.patch: Fix links to French TV icons. Thanks to Mathieu
      Malaterre (Closes: #782229).
  * debian/libvlc5.symbols: Bump version of libvlc_event_type_name for new
    event names.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Feb 2016 20:43:05 +0100

vlc (2.2.1-5) unstable; urgency=medium

  * debian/control:
    - Update Breaks + Replaces. (Closes: #799594)
    - Remove vlc-plugin-pulse from Description.
    - Add libxi-dev to B-D for debian/patches/unsubscribe-disable-motion.patch.
  * Add DEP-8 tests
  * debian/libvlccore8.bug-control: Update libavutil package name.
  * debian/libvlccore8.bug-presubj: Mention global plugins cache and
    VLC_PLUGIN_PATH. (Closes: #801439)
  * debian/patches:
    - unsubscribe-disable-motion.patch: Unsubscribe disable motion and
      XI2 mouse events. Fixes mouse event issues with Qt 5.5.
    - alsa-fix-changing-audio-device.patch: Fix changing of audio devices.
      (Closes: #801448)
  * debian/vlc-data.{postinst,maintscript}, debian/vlc.postinst: Remove
    obsolete maintainer scripts.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 27 Oct 2015 23:45:06 +0100

vlc (2.2.1-4) unstable; urgency=medium

  * debian/control:
    - No longer suggest videolan-doc. It is very outdated.
    - Remove transitional vlc-plugin-pulse package.
    - Remove obsolete Breaks and Replaces.
  * debian/libvlccore8.symbols: Bump version requirements for meta data change
    (Closes: #798763, #798899)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 14 Sep 2015 01:07:44 +0200
