=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Clément Stenac <zorglub@debian.org>,
           Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Benjamin Drung <bdrung@debian.org>,
           Edward Wang <edward.c.wang@compdigitec.com>,
           Mateusz Łukasik <mati75@linuxmint.pl>,
           Sebastian Ramacher <sramacher@debian.org>
Build-Depends: autopoint,
               debhelper (>= 9.20151219),
               dh-autoreconf,
               dh-buildinfo,
               gettext,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev (>= 1.0.24) [linux-any],
               libass-dev (>= 0.9.8),
               libavahi-client-dev,
               libavc1394-dev (>= 0.5.3) [linux-any],
               libavcodec-dev (>= 6:9),
               libavformat-dev (>= 4:0.6),
               libbluray-dev (>= 1:0.3.0),
               libcaca-dev (>= 0.99.beta4),
               libcairo2-dev (>= 1.13.1),
               libcddb2-dev,
               libcdio-dev (>= 0.78.2),
               libchromaprint-dev (>= 0.6.0),
               libcrystalhd-dev [amd64 i386],
               libdbus-1-dev (>= 1.6.0),
               libdc1394-22-dev (>= 2.1.0) [linux-any],
               libdca-dev,
               libdirectfb-dev,
               libdvbpsi-dev,
               libdvdnav-dev (>> 4.9.0),
               libdvdread-dev (>> 4.9.0),
               libegl1-mesa-dev,
               libfaad-dev,
               libflac-dev (>= 1.1.2-3),
               libfluidsynth-dev (>= 1.1.2),
               libfreerdp-dev (>= 1.0.1),
               libfreetype6-dev,
               libfribidi-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libgnutls28-dev (>= 3.0.20),
               libgtk2.0-dev,
               libidn11-dev,
               libiso9660-dev (>= 0.72),
               libjack-dev,
               libkate-dev (>= 0.3.0),
               liblircclient-dev,
               liblivemedia-dev (>= 2011.12.23),
               liblua5.2-dev,
               libmad0-dev,
               libmatroska-dev (>= 1.0.0),
               libmodplug-dev (>= 1:0.8.8.1),
               libmpcdec-dev,
               libmpeg2-4-dev,
               libmtp-dev (>= 1.0.0),
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev (>= 1.0),
               libomxil-bellagio-dev [linux-any],
               libopus-dev (>= 1.0.3),
               libpng-dev,
               libpostproc-dev (>= 4:0.6),
               libpulse-dev (>= 1.0),
               libqt5x11extras5-dev,
               libraw1394-dev (>= 2.0.1) [linux-any],
               libresid-builder-dev,
               librsvg2-dev,
               libsamplerate0-dev,
               libschroedinger-dev (>= 1.0.10),
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.10),
               libshine-dev (>= 3.0.0),
               libshout3-dev,
               libsidplay2-dev,
               libsmbclient-dev [!hurd-any],
               libspeex-dev (>= 1.0.5),
               libspeexdsp-dev (>= 1.0.5),
               libssh2-1-dev,
               libswscale-dev (>= 4:0.6),
               libtag1-dev (>= 1.9),
               libtheora-dev (>= 1.0),
               libtwolame-dev (>= 0.3.8),
               libudev-dev [linux-any],
               libupnp-dev,
               libv4l-dev [linux-any],
               libva-dev [kfreebsd-any linux-any],
               libvcdinfo-dev (>= 0.7.22),
               libvdpau-dev,
               libvncserver-dev (>= 0.9.9),
               libvorbis-dev,
               libx11-dev,
               libx264-dev (>= 2:0.86),
               libx265-dev,
               libxcb-composite0-dev,
               libxcb-keysyms1-dev (>= 0.3.4),
               libxcb-randr0-dev (>= 1.3),
               libxcb-shm0-dev,
               libxcb-xv0-dev (>= 1.1.90.1),
               libxcb1-dev (>= 1.6),
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxpm-dev,
               libzvbi-dev (>= 0.2.28),
               lua5.2,
               oss4-dev [kfreebsd-any],
               pkg-config,
               qtbase5-dev (>= 5.1),
               zlib1g-dev,
               zsh
Standards-Version: 3.9.7
Homepage: http://www.videolan.org/vlc/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git

Package: libvlc-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libvlc5 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlc5
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: multimedia player and streamer library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by applications using VLC
 features.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libvlccore8 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: development files for libvlccore
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains headers and a static library required to build plugins
 for VLC.

Package: libvlccore8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libproxy-tools,
         vlc-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: base library for VLC and its modules
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by VLC modules and libvlc.

Package: vlc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: fonts-freefont-ttf,
         vlc-nox (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: vlc-plugin-notify (= ${binary:Version}),
            vlc-plugin-samba (= ${binary:Version}),
            xdg-utils
Breaks: vlc-nox (<< 2.2.0~pre2-2~),
        vlc-plugin-pulse (<< 2.2.1-4~)
Replaces: vlc-nox (<< 2.2.0~pre2-2~),
          vlc-plugin-pulse (<< 2.2.1-4~)
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added by
 installing additional plugins (vlc-plugin-fluidsynth, vlc-plugin-jack,
 vlc-plugin-notify, vlc-plugin-samba, vlc-plugin-sdl, vlc-plugin-svg,
 vlc-plugin-zvbi).

Package: vlc-data
Depends: ${misc:Depends}
Architecture: all
Description: Common data for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains localisations, HTTP interface files, and Lua scripts for
 VLC media player.

Package: vlc-nox
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libdvdcss2
Provides: mp3-decoder
Description: multimedia player and streamer (without X support)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added by
 installing additional audio plugins (vlc-plugin-sdl,  vlc-plugin-jack) or
 video plugins (vlc-plugin-sdl).
 .
 This package contains a version of VLC that does not require X and that is
 thus suitable for headless servers.

Package: vlc-plugin-fluidsynth
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: fluid-soundfont-gm | musescore-soundfont-gm,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: vlc
Description: FluidSynth plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin adds support for playing MIDI file via the FluidSynth software
 synthesizer to the VLC media player.

Package: vlc-plugin-jack
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: vlc
Description: Jack audio plugins for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 These plugins add support for JACK to the VLC media player. To
 activate the audio output module, use the `--aout jack' flag or
 select the `jack' audio output plugin from the preferences menu.
 For the jack input, use `vlc jack://channels=...:ports=...'

Package: vlc-plugin-notify
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: vlc
Description: LibNotify plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin adds support for libnotify track change notification to the
 VLC media player.

Package: vlc-plugin-sdl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: vlc
Description: SDL video and audio output plugin for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 the VLC media player. To activate it, use the `--vout sdl' or
