## vlc 2.2.4

=== debian/changelog ===
vlc (2.2.4-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Install solid actions in Frameworks location. (Closes: #834884)

  [ Sebastian Ramacher ]
  * Bump debhelper compat to 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 13 Sep 2016 21:29:23 +0200

vlc (2.2.4-3) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/control:
    - Remove Clément Stenac from Uploaders. Thanks for your job!

  [ Sebastian Ramacher ]
  * debian/patches/{vlc_atomic*,Fix-build-using-old-GCC-intrinsics}.patch: Fix
    FTBFS with GCC 6 (Closes: #831199)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jul 2016 00:52:06 +0200

vlc (2.2.4-2) unstable; urgency=medium

  * Build ffmpeg without libopenjpeg (Closes: #826827)
    - debian/control: Remove libopenjpeg-dev from B-D.
    - debian/rules: Build ffmpeg with --disable-libopenjpeg.
  * debian/rules: Revert workaround for zsh completion build failures on
    powerpc. The underlying issue seems to be fixed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jun 2016 11:44:37 +0200

vlc (2.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - g711-fix-dangling-pointer-fixes-16909.patch,
      adpcm-reject-invalid-QuickTime-IMA-files.patch, zsh-completion.patch,
      frenchtv-links.patch, fix-Hurd-build.patch,
      the-Hurd-also-uses-the-.so-extension-for-libraries.patch: Removed, all
      included upstream.
    - generated-mimetypes.patch: Upstream patch for auto-generated list of
      mime types. (Closes: #822245)
  * debian/{rules,vlc-nox.install}: No longer install old BluRay access
    plugin. (LP: #864933)
  * debian/rules: No longer disable i686 optimization on i386 architectures.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Jun 2016 16:08:54 +0200

vlc (2.2.3-2) unstable; urgency=medium

  * debian/patches:
    - g711-fix-dangling-pointer-fixes-16909.patch: Upstream patch to fix issue
      with some WAV files.
    - adpcm-reject-invalid-QuickTime-IMA-files.patch: Apply upstream patch for
      CVE-2016-5108. (Closes: #825728)
  * debian/rules: Reduce libX11 and libxcb linkage to a warning. Moving the
    ffmpeg and libtheora plugins to vlc does not make much sense.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 May 2016 13:09:00 +0200

vlc (2.2.3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/patches:
    - Refresh fix-translation.patch: remove parts included upstream.
    - Remove qt4-Fix-resume-where-you-left-off.patch,
      qt4-input_manager-Always-reset-lastURI-when-stopping.patch,
      avcodec-pass-consistent-dimensions-to-hardware-decod.patch: included
      upstream.
    - Add drop-check-qt-check.patch: to ignore check qt version.

  [ Sebastian Ramacher ]
  * debian/patches: Fix build on hurd-i386. Thanks to Samuel Thibault. (Closes:
    #765578)
  * Update ffmpeg to 2.8.7.
  * debian/vlc{,-nox}.lintian-overrides: Override embedded-libary.
  * debian/source/lintian-overrides: Update overrides.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 02 May 2016 22:55:00 +0200

vlc (2.2.2-6) unstable; urgency=medium

  * Use embedded copy of ffmpeg 2.8.6. (Closes: #803868)
  * debian/rules:
    * Explicitly disable gst-decode.
    * Enable sndio plugin.
    * Drop unnecessary override.
    * Fix noopt handling.
  * debian/vlc{-nox}.install: Filter plugins with a helper script.
  * debian/control: Bump Standards-Version.
  * debian/watch: Update to version 4.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2016 01:00:56 +0200
