=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: vlc
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Clément Stenac <zorglub@debian.org>,
-           Loic Minier <lool@dooz.org>,
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Loic Minier <lool@dooz.org>,
            Christophe Mutricy <xtophe@videolan.org>,
            Mohammed Adnène Trojette <adn+deb@diwi.org>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -13,8 +11,7 @@
            Mateusz Łukasik <mati75@linuxmint.pl>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: autopoint,
-               debhelper (>= 9.20151219),
-               dh-autoreconf,
+               debhelper (>= 10),
                dh-buildinfo,
                gettext,
                liba52-0.7.4-dev,
@@ -23,8 +20,8 @@
                libass-dev (>= 0.9.8),
                libavahi-client-dev,
                libavc1394-dev (>= 0.5.3) [linux-any],
-               libavcodec-dev (>= 6:9),
-               libavformat-dev (>= 4:0.6),
+#              libavcodec-dev (>= 6:9),
+#              libavformat-dev (>= 4:0.6),
                libbluray-dev (>= 1:0.3.0),
                libcaca-dev (>= 0.99.beta4),
                libcairo2-dev (>= 1.13.1),
@@ -47,6 +44,7 @@
                libfreetype6-dev,
                libfribidi-dev,
                libgl1-mesa-dev,
+               libgles1-mesa-dev,
                libgles2-mesa-dev,
                libgnutls28-dev (>= 3.0.20),
                libgtk2.0-dev,
@@ -69,7 +67,7 @@
                libomxil-bellagio-dev [linux-any],
                libopus-dev (>= 1.0.3),
                libpng-dev,
-               libpostproc-dev (>= 4:0.6),
+#              libpostproc-dev (>= 4:0.6),
                libpulse-dev (>= 1.0),
                libqt5x11extras5-dev,
                libraw1394-dev (>= 2.0.1) [linux-any],
@@ -83,10 +81,11 @@
                libshout3-dev,
                libsidplay2-dev,
                libsmbclient-dev [!hurd-any],
+               libsndio-dev,
                libspeex-dev (>= 1.0.5),
                libspeexdsp-dev (>= 1.0.5),
                libssh2-1-dev,
-               libswscale-dev (>= 4:0.6),
+#              libswscale-dev (>= 4:0.6),
                libtag1-dev (>= 1.9),
                libtheora-dev (>= 1.0),
                libtwolame-dev (>= 0.3.8),
@@ -116,10 +115,26 @@
                lua5.2,
                oss4-dev [kfreebsd-any],
                pkg-config,
+               python3,
                qtbase5-dev (>= 5.1),
                zlib1g-dev,
-               zsh
-Standards-Version: 3.9.7
+               zsh,
+# for embedded ffmpeg
+               libbz2-dev,
+               libgme-dev,
+               libgsm1-dev,
+               liblzma-dev,
+               libmp3lame-dev,
+               librtmp-dev,
+               libsnappy-dev,
+               libsoxr-dev,
+               libssh-gcrypt-dev,
+               libvpx-dev,
+               libwavpack-dev,
+               libwebp-dev,
+               libxvidcore-dev,
+               yasm
+Standards-Version: 3.9.8
 Homepage: http://www.videolan.org/vlc/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vlc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git
@@ -294,9 +309,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: vlc
 Description: SDL video and audio output plugin for VLC
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
- DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
- podcasts, and multimedia streams from various network sources.
- .
- This plugin adds support for the Simple DirectMedia Layer library to
- the VLC media player. To activate it, use the `--vout sdl' or
